    The XSPEC grbm model: gamma-ray burst continuum.

xsgrbm
The xsgrbm model is an additive model component.

The model is described at [1] .

The temp parameter has been renamed tem to match the XSPEC definition. The name temp can still be used to access the parameter, but this name will be removed in a future release.

>>> create_model_component("xsgrbm", "mdl")
>>> print(mdl)

Create a component of the xsgrbm model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.alpha thawed -1 -10 5 mdl.beta thawed -2 -10 10 mdl.tem thawed 300 10 10000 keV mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
alpha
The first powerlaw index.
beta
The second powerlaw index.
tem
The characteristic energy, in keV.
norm
The normalization of the model.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelGrbm.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023